com.zipcodewilmington.streams.anthropoid

## Class Person.PersonProperty<E>

- java.lang.Object
- - com.zipcodewilmington.streams.anthropoid.Person.PersonProperty<E>

Type Parameters:
  `E` - the type of data to store

Enclosing class:
  Person

    public class Person.PersonProperty<E>
    extends java.lang.Object

the purpose of this class is to compress verbose getter and setter logic

### Constructor Summary

Constructors
Constructor and Description
`PersonProperty(E val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`E` `getValue()`
`void` `setValue(E val)` set value this object is storing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersonProperty

    public PersonProperty(E val)

Parameters:
  `val` - - value of data for this object to store

### Method Detail

#### getValue

    public E getValue()

Returns:
  value this object is storing

#### setValue

    public void setValue(E val)

set value this object is storing